<?php

global $table_prefix, $wpdb, $foodsearch_form_fields;

$table_name = $table_prefix . 'menu_items';
$id = $_REQUEST['id'];
$sql = "SELECT * FROM $table_name where id =" . $id;
$result = $wpdb->get_row($sql);
$content = '';
if (!empty($result)) {
    $image_id = $result->attachment_id;
    $content .= '<div class="filed-group"> <div class="image-upload">
                            <label class="fds-input-label">' . esc_html__('image', 'wp-foodsearch') . '</label><div class="image_box_wrap">';
    if ($image = wp_get_attachment_image_src($image_id)) {
        $content .= '<a href="#" class="fds-upload fds-link"><img src="' . $image[0] . '" /></a>
	      <a href="#" class="fds-remove fds-link"><i class="dashicons-before dashicons-no"></i></a>
	      <input type="hidden" name="image" value="' . $image_id . '">';
    } else {
        $content .= '<div class="fds-btn fds-small-btn"><a href="#" class="fds-upload fds-has-bg fds-link">' . esc_html__('upload image', 'wp-foodsearch') . '</a></div>
	      <a href="#" class="fds-remove fds-link" style="display:none"><i class="dashicons-before dashicons-no"></i></a>
	      <input type="hidden" name="image" value="">';
    }
    $content .= '</div></div></div>';

    $args = array(
        'type' => 'hidden',
        'name' => 'id',
        'value' => $result->id,
        'return' => true,
    );
    $content .= $foodsearch_form_fields->input_field($args);

    $args = array(
        'type' => 'hidden',
        'name' => 'restaurant_id',
        'value' => $result->restaurant_id,
        'return' => true
    );
    $content .= $foodsearch_form_fields->input_field($args);
    $args = array(
        'type' => 'hidden',
        'name' => 'status',
        'value' => $result->status,
        'return' => true
    );
    $content .= $foodsearch_form_fields->input_field($args);
    $values = SELF::menuListIncId($result->menu_id);
    $content .= '<div class="filed-group fds-form-field">';
    $args = array(
        'type' => 'single',
        'id' => 'up_menu_id',
        'name' => 'menu_id',
        'classes' => 'select_menu post-filed food-menu-dropdown',
        'label' => esc_html__('select food menu', 'wp-foodsearch'),
        'required' => 'true',
        'value' => $values,
        'selected' => $result->menu_id,
        'return' => true,
    );
    $content .= $foodsearch_form_fields->select_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';
    $args = array(
        'type' => 'text',
        'id' => 'up_title',
        'name' => 'title',
        'classes' => 'post-filed fds-input-style',
        'label' => esc_html__('title', 'wp-foodsearch'),
        'placeholder' => esc_html__('title', 'wp-foodsearch'),
        'value' => $result->name,
        'return' => true
    );
    $content .= $foodsearch_form_fields->input_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';
    $args = array(
        'id' => 'up_item_details',
        'name' => 'item_details',
        'classes' => 'post-filed fds-textarea-style',
        'label' => esc_html__('item detail', 'wp-foodsearch'),
        'placeholder' => esc_html__('item detail', 'wp-foodsearch'),
        'value' => $result->details,
        'required' => 'true',
        'return' => true
    );
    $content .= $foodsearch_form_fields->textarea_field($args);
    $variation = json_decode($result->variations, true);
    $content .= '</div> <div class="price_wrap" ' . (!empty($variation) && count($variation) > 0 ? 'style="display:none"' : '') . '><div class="filed-group fds-form-field">';

    $args = array(
        'type' => 'number',
        'id' => 'up_price',
        'name' => 'price',
        'classes' => 'post-filed fds-input-style',
        'label' => esc_html__('price', 'wp-foodsearch'),
        'placeholder' => esc_html__('price', 'wp-foodsearch'),
        'required' => 'true',
        'min' => '0',
        'value' => $result->price,
        'return' => true
    );
    $content .= $foodsearch_form_fields->input_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';

    $args = array(
        'type' => 'number',
        'id' => 'up_discount_price',
        'name' => 'discount_price',
        'classes' => 'post-filed fds-input-style',
        'label' => esc_html__('discount price', 'wp-foodsearch'),
        'placeholder' => esc_html__('discount price', 'wp-foodsearch'),
        'required' => 'true',
        'min' => '0',
        'value' => "{$result->discount_price}",
        'return' => true
    );
    $content .= $foodsearch_form_fields->input_field($args);

    $content .= ' </div> </div>';
    if (!empty($result->variations) && count($variation) > 0) {
        $content .= ' <div class="filed-group"><div class="label_wrap"><label class="fds-input-label">' . esc_html__('add variations', 'wp-foodsearch') . '</label></div><div class="product_choices"><div class="filed-group"><div class="field_wrapper_outer"><div class="variation_wrapper_outer">';
        foreach ($variation as $key => $val) {
            $content .= ' <div class="item_box fds-form-field">';
            $args = array(
                'type' => 'text',
                'id' => 'variation_name',
                'name' => 'variation_name[]',
                'classes' => 'post-filed fds-input-style',
                'label' => esc_html__('variation name', 'wp-foodsearch') . '  <a href="javascript:void(0);" class="remove_variation_button fds-link" title="' . esc_html__('remove field', 'wp-foodsearch') . '"><i class="dashicons-before dashicons-trash"></i></a>',
                'placeholder' => esc_html__('variation name', 'wp-foodsearch'),
                'required' => 'true',
                'value' => $val['variation_name'],
                'return' => true
            );
            $content .= $foodsearch_form_fields->input_field($args);
            $content .= ' <br>';
            $args = array(
                'type' => 'number',
                'id' => 'variation_price',
                'name' => 'variation_price[]',
                'classes' => 'post-filed fds-input-style',
                'label' => esc_html__('variation price', 'wp-foodsearch'),
                'placeholder' => esc_html__('variation price', 'wp-foodsearch'),
                'required' => 'true',
                'value' => $val['variation_price'],
                'return' => true
            );
            $content .= $foodsearch_form_fields->input_field($args);

            $content .= '</div>';
        }
        $content .= '</div></div><div class="fds-btn fds-large-btn"><a href="javascript:void(0);" class="add_variation_button fds-has-save fds-link" title="Add field">' . esc_html__('add variation', 'wp-foodsearch') . '</a></div></div></div></div></div>';
    } else {
        $content .= ' <div class="filed-group"><div class="label_wrap"><label class="fds-input-label">' . esc_html__('variations', 'wp-foodsearch') . '</label></div><div class="product_choices"><div class="filed-group"><div class="field_wrapper_outer"><div class="variation_wrapper_outer" style="display: none"><div class="item_box fds-form-field">';
        $args = array(
            'type' => 'text',
            'id' => 'variation_name',
            'name' => 'variation_name[]',
            'classes' => 'post-filed fds-input-style',
            'label' => esc_html__('variation name', 'wp-foodsearch') . ' <a href="javascript:void(0);" class="remove_variation_button fds-link" title="' . esc_html__('remove field', 'wp-foodsearch') . '"><i class="dashicons-before dashicons-trash"></i></a>',
            'placeholder' => esc_html__('variation name', 'wp-foodsearch'),
            'required' => '',
            'return' => true
        );
        $content .= $foodsearch_form_fields->input_field($args);
        $content .= ' <br>';
        $args = array(
            'type' => 'number',
            'id' => 'variation_price',
            'name' => 'variation_price[]',
            'classes' => 'post-filed fds-input-style',
            'label' => esc_html__('variation price', 'wp-foodsearch'),
            'placeholder' => esc_html__('variation price', 'wp-foodsearch'),
            'required' => '',
            'return' => true
        );
        $content .= $foodsearch_form_fields->input_field($args);
        $content .= '</div></div><div class="fds-btn fds-large-btn"><a href="javascript:void(0);" class="add_variation_button fds-has-save fds-link" title="Add field">' . esc_html__('add variation', 'wp-foodsearch') . '</a></div></div></div></div></div>';
    }
    $content .= '<div class="filed-group fds-form-field">';
    $args = array(
        'id' => 'up_offer_status',
        'name' => 'offer_status',
        'classes' => 'fds-intig-val',
        'label' => esc_html__('special offer', 'wp-foodsearch'),
        'value' => $result->offer_status,
        'checked' => $result->offer_status,
        'return' => true
    );
    $content .= $foodsearch_form_fields->switch_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';
    $values = SELF::menuCategoryIncId(explode(',', $result->category_id));
    $args = array(
        'type' => 'single',
        'id' => 'up_category',
        'name' => 'category',
        'classes' => 'select_menu post-filed food-item-category-dropdown',
        'label' => esc_html__('category', 'wp-foodsearch'),
        'value' => $values,
        'selected' => explode(',', $result->category_id),
        'required' => 'true',
        'return' => true
    );
    $content .= $foodsearch_form_fields->select_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';
    $values = SELF::menuChoiceGroupIncId($result->choice_groups_id);

    $args = array(
        'type' => 'multiple',
        'id' => 'up_item_choice_gruop',
        'name' => 'item_choice_gruop[]',
        'classes' => 'select_menu post-filed food-item-choicegroup-dropdown',
        'label' => esc_html__('select choice group', 'wp-foodsearch'),
        'value' => $values,
        'selected' => explode(',', $result->choice_groups_id),
        'return' => true
    );
    $content .= $foodsearch_form_fields->select_field($args);
    $content .= ' </div><div class="filed-group fds-form-field">';
    $values = array(
        '1' => esc_html__('pending', 'wp-foodsearch'),
        '2' => esc_html__('approve', 'wp-foodsearch'),
        '4' => esc_html__('reject', 'wp-foodsearch'),
    );
    $args = array(
        'type' => 'single',
        'id' => 'up_status',
        'name' => 'status',
        'classes' => 'select_menu post-filed select_dropdown',
        'label' => esc_html__('select status', 'wp-foodsearch'),
        'value' => $values,
        'selected' => $result->status,
        'required' => 'true',
        'return' => true
    );
    $content .= $foodsearch_form_fields->select_field($args);
    $content .= ' </div><div class="filed-group">';
    ob_start();
    wp_nonce_field('updating_menuitem', 'menu_item_nonce');
    $content .= ob_get_clean();
    
    $content .= '<div class="fds-btn fds-medium-btn">';
    $args = array(
        'type' => 'button',
        'id' => 'menuItemUpdateBtn',
        'name' => 'up_save_menu',
        'classes' => 'submit_btn fds-has-bg',
        'value' => esc_html__('update', 'wp-foodsearch'),
        'return' => true
    );
    $content .= $foodsearch_form_fields->button($args);
    $content .= '  </div>';
    $content .= '  </div>';
}
$responsedata = array('status' => 'success', 'html' => $content);
wp_send_json($responsedata);
wp_die();
