function foodsearch_menu_items_setpos() {
    "use strict";
    var main_menuitms_con = jQuery('#menuDetailsID');
    var sort_positms = main_menuitms_con.find('input[name^="foodsearch_menu_sort[item_position]"]');
    if (sort_positms.length > 0) {
        sort_positms.each(function(pos_index) {
            var _thisitm = jQuery(this);
            _thisitm.val(pos_index+1);
            //
            var this_parent = _thisitm.parents('.fds-menu-itemsholdr');
            var cat_id = this_parent.attr('data-id');
            this_parent.find('input[name^="foodsearch_menu_sort[item_cat_id]"]').val(cat_id);
        });
        var sort_req = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: menu_builder_strings.site_url + 'wp/v1/sort-menu-items',           
            beforeSend: function (xhr) {
                if(menu_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                }
            },
            data: main_menuitms_con.find('input[name^="foodsearch_menu_sort"]').serialize()
        });
        
        sort_req.done(function(response) {
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    }
    //
    var menu_itm_holdrs = main_menuitms_con.find('.fds-menu-itemsholdr');
    if (menu_itm_holdrs.length > 0) {
        menu_itm_holdrs.each(function() {
            var _this_holdr = jQuery(this);
            if (_this_holdr.find('.fds-menu-builder-inn').length == 0) {
                _this_holdr.html(menu_builder_strings.empty_menus_htmltxt);
            } else {
                _this_holdr.find('.fds-no-menuitm').remove();
            }
        });
    }
}

function foodsearch_menu_builder_sortable() {
    "use strict";
    if (jQuery( ".fds-menu-catslist-con" ).length > 0) {
        jQuery( ".fds-menu-catslist-con" ).sortable({
            items: '.fds-menu-builder-list',
            placeholder: "ui-state-highlight",
            handle: ".menu-category-sorter",
            axis: 'y',
            update : function(e, ui) {
                foodsearch_menu_items_setpos();
            }

        }).disableSelection();
    }
    if (jQuery( ".fds-menu-builder-body" ).length > 0) {
        jQuery( ".fds-menu-builder-body,.fds-menu-itemsholdr" ).sortable({
            connectWith: '.fds-menu-itemsholdr',
            items: '.fds-menu-builder-inn',
            placeholder: "ui-state-highlight",
            handle: ".menu-item-sorter",
            axis: 'y',
            update : function(e, ui) {
                foodsearch_menu_items_setpos();
            }
        }).disableSelection();
    }    
}
function foodsearch_menu_vari_items_setpos(){

}
jQuery(document).ready(function () {
    "use strict";
    foodsearch_menu_builder_sortable();
    
    foodsearch_itemPopupCGdropdown();
    
    foodsearch_variationFileds();
});

jQuery(document).on('click','a.fds-thumb-delete',function(){
    "use strict";
    jQuery(this).parent('div.fds-popupform-upload-thumb').css('background','').hide();
    jQuery(this).parent('div.fds-popupform-upload-thumb').next('div.fds-popupform-file-upload').show();
});

jQuery(document).on('click', '#menuListBox', function () {
    "use strict";
    jQuery('#menuDetailsID').slideUp();
    jQuery('div.fds-menus-grid').slideDown();

    var _this = jQuery(this);
    var post_id = jQuery('.fds-resturant-menubildr-wrap-box').attr('data-id');
    var view_for = jQuery('.fds-resturant-menubildr-wrap-box').attr('data-view');

    var add_menu_btnscon = jQuery('.fds-addmenu-mainbtnsec');
    add_menu_btnscon.removeAttr('style');

    _this.find('.fds-selected-menu-title').html('').hide();
    //
    if (view_for == 'dash') {
        var current_url = location.protocol + "//" + location.host + location.pathname;
    } else {
        var current_url = location.protocol + "//" + location.host + location.pathname + '?post=' + post_id + '&action=edit';
    }
    window.history.pushState(null, null, decodeURIComponent(current_url));
});

jQuery(document).on('click','a.fds-section-hide',function (e) {
    "use strict";
    e.preventDefault();
    jQuery(this).toggleClass('fds-open');
    jQuery(this).parents('div.fds-menu-builder-list').find('div.fds-menu-builder-body').slideToggle();
});

jQuery(document).on('click','a.fds-addmenu-inlist',function (e) {
    "use strict";
    e.preventDefault();
    var restaurant = jQuery(this).attr('data-id');
    var bplc = jQuery(this).attr('data-bplc');
    jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/food-menu-add-inlist',
        data:  {
            restaurant: restaurant,
            bplc: bplc,
            _nonce:menu_builder_strings.wpnonce
        },           
        beforeSend: function (xhr) {            
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html(data.html);
            var content = jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html();
            jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html('<form class="add-menu-form" method="post">'+content+'</form>');
            foodsearch_restaurantdropdown();
            foodsearch_selectdropdownFiled();
        }
    });
    foodsearch_modal_popup_open('fds-menuitem-mpopup');
});

jQuery(document).on('click', '.fds-updte-menubtn', function() {
    "use strict";
    var _this = jQuery(this);
    var bplc = _this.attr('data-bplc');
    var restaurant = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
    var n_id = _this.parents('.fds-menus-grid-item').attr('data-id');
    jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/food-menu-edit-byid',
        data:  {
            restaurant: restaurant,
            bplc: bplc,
            id: n_id,
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html(data.html);
            var content = jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html();
            jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html('<form class="menu-popup-form" method="post">'+content+'</form>');
            foodsearch_restaurantdropdown();
            foodsearch_selectdropdownFiled();
        }
    });
    foodsearch_modal_popup_open('fds-menuitem-mpopup');
});

jQuery(document).on('click','a.byaddmenuitem,a.byaddmenu',function (e) {
    "use strict";
    e.preventDefault();
    if(jQuery(this).hasClass('fds-disable-btn')){
        return false;
    }
    var category = jQuery(this).attr('data-category');
    var restaurant = jQuery(this).attr('data-restaurant');
    var menu = jQuery(this).attr('data-menu');
    var n_id = jQuery(this).attr('data-nid');

    var is_restpage = '0';
    if (jQuery(this).hasClass('byaddmenu')) {
        is_restpage = '1';
    }
    
    jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/menu-detail-html-byid',
        data:  {
            restaurant: restaurant,
            menu: menu,
            n_id: n_id,
            category: category,
            is_restpage: is_restpage
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html(data.html);
            var content = jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html();
            jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html('<form class="menu-item-popform" method="post">'+content+'</form>');
            foodsearch_itemPopupCGdropdown(restaurant);
            setTimeout(function() {
                foodsearch_itemPopupNutridropdown(restaurant);
            }, 1000);
        }
    });
    foodsearch_modal_popup_open('fds-menuitem-mpopup');
});

jQuery(document).on('click','a.byeditmenuitem',function (e) {
    "use strict";
    e.preventDefault();
    var restaurant_id = jQuery(this).parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
    var id = jQuery(this).attr('data-id');
    var n_id = jQuery(this).attr('data-nid');
    jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
    
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/menu-detail-update-byid',
        data:  {
            id: id,
            n_id: n_id
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html(data.html);
            var content = jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html();
            jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html('<form class="menu-item-updteform" method="post">'+content+'</form>');
            foodsearch_itemPopupCGdropdown(restaurant_id);
            foodsearch_menu_builder_sortable();
            setTimeout(function() {
                foodsearch_itemPopupNutridropdown(restaurant_id);
            }, 1000);
        }
    });
    foodsearch_modal_popup_open('fds-menuitem-mpopup');
});

function foodsearch_variationFileds(){
    "use strict";
    jQuery(document).on('click','.fds-add-varitaion', function () {
        if (jQuery(this).prev('div.fds-menu-builder-body').find(".fds-menu-builder-inn").length == 1 && !jQuery(this).prev('div.fds-menu-builder-body').find(".fds-menu-builder-inn").is(":visible")) {
            jQuery(this).prev('div.fds-menu-builder-body').find(".fds-menu-builder-inn").show();
            jQuery(this).prev('div.fds-menu-builder-body').find(".fds-menu-builder-inn input").attr('required', '');
        } else {
            jQuery(this).prev('div.fds-menu-builder-body').find(".fds-menu-builder-inn")
                .eq(0)
                .clone()
                .find("input").val("").end() // ***
                .show()
                .insertAfter(".fds-menu-builder-inn:last");
        }
        
        jQuery(this).parents('form').find('.menuitem-price-con').find('input').removeAttr('required');
        jQuery(this).parents('form').find('.menuitem-price-con').hide();
        jQuery(this).parents('form').find('.menuitem-discprice-con').hide();
    });

    //Once remove button is clicked
    jQuery(document).on('click', 'a.fds-remove-variation', function (e) {
        e.preventDefault();

        if(jQuery(this).parents('div.fds-menu-builder-body').find(".fds-menu-builder-inn").length>1) {
            jQuery(this).parents('div.fds-menu-builder-inn').remove(); //Remove field html
        }
        else{
            //
            jQuery(this).parents('form').find('.menuitem-price-con').find('input').prop('required', true);
            jQuery(this).parents('form').find('.menuitem-price-con').removeAttr('style');
            jQuery(this).parents('form').find('.menuitem-discprice-con').removeAttr('style');
            
            jQuery(this).parents('div.fds-menu-builder-inn').find('input').val('').removeAttr('required');
            jQuery(this).parents('div.fds-menu-builder-inn').hide();
        }
    });
}

const foodsearch_itemPopupCGdropdown = (function() {
    "use strict";
    return function foodsearch_itemPopupCGdropdown(restaurant_id = 0) {

        jQuery('.food-item-cgdd').select2({
            width: '100%',
            ajax: {
                url: menu_builder_strings.site_url + 'wp/v1/choicegroupList',
                dataType: 'json',
                data: function (params) {
                    var query = {
                        restaurant: restaurant_id,
                        q: params.term
                    }
                    return query;
                },           
                beforeSend: function (xhr) {
                    if(menu_builder_strings.adminCheck!='true'){
                        xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                    }
                },
            }
        });
    }
})();
function foodsearch_itemPopupNutridropdown(id) {
    "use strict";
    jQuery('.food-item-nutridd').select2({
        width: '100%',
        ajax: {
            url: menu_builder_strings.site_url + 'wp/v1/get-restaurant-nutritions-list',
            dataType: 'json',
            data: function (params) {
                var query = {
                    restaurant_id: id,
                    search: params.term
                }
                return query;
            },           
            beforeSend: function (xhr) {
                if(menu_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                }
            },
        }
    });
}

jQuery(document).on('click', '.fds-menus-grid-item', function (ev) {
    "use strict";
    var this_dom = ev.target;
    var thisdom_obj = jQuery(this_dom);
    
    var ths_tag = thisdom_obj.prop('tagName');
    if (ths_tag == 'A' || thisdom_obj.parents('a').length > 0) {
        return false;
    }
    
    var _this = jQuery(this);
    var this_id = _this.attr('data-id');
    var n_id = _this.attr('data-nid');
    var r_id = _this.attr('data-rid');
    var loader_con = _this.find('.fds-loader-holder');
    var add_menu_btnscon = jQuery('.fds-addmenu-mainbtnsec');
    var post_id = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
    var view_for = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-view');

    if (view_for == 'dash') {
        var current_url = location.protocol + "//" + location.host + location.pathname + '?menu_id=' + this_id;
    } else {
        var current_url = location.protocol + "//" + location.host + location.pathname + '?post=' + post_id + '&action=edit&menu_id=' + this_id;
    }

    loader_con.html('<div class="fds-loader"></div>');
    loader_con.removeAttr('style');
    var mneu_html_request = jQuery.ajax({
        type : "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/fmenu-fitems-html-byid',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data:{
            id: this_id,
            n_id: n_id,
            r_id: r_id,
        }
    });
    mneu_html_request.done(function(response) {
        loader_con.html('');
        loader_con.hide();
        jQuery('#menuListBox').find('.fds-selected-menu-title').html('<strong>: ' + _this.attr('data-name') + '</strong> <div class="fds-btn fds-small-btn"><a href="javascript:void(0);" class="fds-has-bg fds-link">' + menu_builder_strings.go_back + '</a></div>').removeAttr('style');
        add_menu_btnscon.hide();
        window.history.pushState(null, null, decodeURIComponent(current_url));
        if (response.html != '') {
            jQuery('#menuDetailsID').html(response.html).slideDown();
            jQuery('div.fds-menus-grid').slideUp();
            foodsearch_menu_builder_sortable();
        } else{
            jQuery('#menuDetailsID').html('No Menu Item Found').slideDown();
        }
    });
    mneu_html_request.fail(function (jqXHR, textStatus) {
        loader_con.html('');
        loader_con.hide();
    });
});

// Add menu category in grid btn
jQuery(document).on('click', '.fds-additem-menugrid', function() {
    "use strict";
    var _this = jQuery(this);
    var nid = _this.attr('data-nid');
    var appendr_con = jQuery('#menuDetailsID').find('.fds-menu-catslist-con');
    var restaurant_id = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
    var menu_id = _this.parents('#menuDetailsID').find('.fds-menu-catslist-con').attr('data-id');
    var random_num = Math.floor(Math.random() * 10000000) + 1;
    var add_item_html = '\
    <div id="menu-items-box-' + random_num + '" class="fds-menu-builder-list">\
        <div class="fds-menu-builder-header">\
        <i class="fds-icon fds-move-drager fds-builder-drager menu-category-sorter"></i> \
        <div class="fds-column-title fds-chose-cat-outer">\
            <div class="menucats-loder" style="display:none;"></div>\
            <div class="cat-title-box fds-select-field"><select id="add-menu-category-' + random_num + '" required><option value="">' + menu_builder_strings.type_menucat_name + '</option></select></div>\
        </div>\
        <div class="fds-column-title">' + menu_builder_strings.nutri_info_txt + '</div>\
        <div class="fds-column-title">' + menu_builder_strings.item_price_txt + '</div>\
        <div class="fds-column-title fds-column-actions">\
            <a href="javascript:void(0);" class="fds-builder-action fds-link fds-cat-settings"><i class="fds-icon fds-settings-work"></i></a>\
            <a href="javascript:void(0);" class="fds-builder-action fds-link fds-remove-menuitmscat"><i class="fds-icon fds-bin"></i></a>\
            <a href="javascript:void(0);" class="fds-builder-action fds-link fds-section-hide"><i class="fds-icon fds-down-arrow"></i></a>\
        </div>\
        </div>\
        <div class="fds-menu-builder-body">\
            <div class="fds-menu-itemsholdr"></div>\
            <a href="#" class="byaddmenu fds-disable-btn fds-link" data-restaurant="' + restaurant_id + '" data-menu="' + menu_id + '" data-nid="' + nid + '"><i class="fds-icon fds-writing"></i> ' + menu_builder_strings.add_menuitm_txt + '</a>\
        </div>\
    </div>';
    appendr_con.append(add_item_html);
    foodsearch_menu_items_setpos();
    jQuery('#add-menu-category-' + random_num).select2({
        width: '100%',
        tags: true,
        ajax: {
            data: function (params) {
                var query = {
                    menu_id: menu_id,
                    search: params.term
                }
                return query;
            },
            url: menu_builder_strings.site_url + 'wp/v1/select_menuitem_categories',           
            beforeSend: function (xhr) {
                if(menu_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                }
            },
            dataType: 'json',
        }
    });
    jQuery(document).on('change', '#add-menu-category-' + random_num, function() {
        var cat_val = jQuery(this).val();
        jQuery.ajax({
            type: "post",
            dataType: "json",
            url:menu_builder_strings.site_url + 'wp/v1/add_menuitem_category',           
            beforeSend: function (xhr) {
                if(menu_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                }
            },
            data: {
                cat_val: cat_val
            },
            success: function(data){
                if (typeof data.cat_id !== undefined) {
                    var restaurant_id = jQuery('.fds-resturant-menubildr-wrap-box').attr('data-id');
                    jQuery('#menu-items-box-' + random_num).find('.byaddmenu').removeClass('fds-disable-btn').attr('data-category', data.cat_id);
                    jQuery('#menu-items-box-' + random_num).find('.fds-menu-builder-body').attr('id', ('menu-itemsbox-' + menu_id + '-' + data.cat_id));
                    jQuery('#menu-items-box-' + random_num).find('.fds-menu-itemsholdr').attr('data-id', data.cat_id);
                    jQuery('#menu-items-box-' + random_num).find('.fds-remove-menuitmscat').attr('data-id', data.cat_id);
                    jQuery('#menu-items-box-' + random_num).find('.fds-cat-settings').attr('data-id', data.cat_id);
                    jQuery('#menu-items-box-' + random_num).find('.fds-cat-settings').attr('data-restaurant', restaurant_id);
                    jQuery('#menu-items-box-' + random_num).find('input[name^="foodsearch_menu_sort[item_cat_id]"]').val(data.cat_id);
                }
            }
        });
        //
        foodsearch_menu_builder_sortable();
    });
});
jQuery(document).on('click','.fds-cat-settings',function(){
    var _this = jQuery(this);
    var catID = _this.attr('data-id');
    var resturantID = _this.attr('data-restaurant');
    
    jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/fds-item-category-setting-popup',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data:  {
            id: catID,
            resturantid: resturantID,
        },
        success: function(data) {
            jQuery('#fds-menuitem-mpopup').find('.fds-dynm-modal-content').html(data.html);
            var content = jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html();
            jQuery('#fds-menuitem-mpopup').find('.fds-builder-popupform').html('<form class="upadte-item-category-popform" method="post">'+content+'</form>');
            
        }
    });
    foodsearch_modal_popup_open('fds-menuitem-mpopup');
})
jQuery(document).on('click','#itemCatUpdate',function(){
    console.log(jQuery(this).parents('form').serialize());
    var msg_rand = Math.floor(Math.random() * 1000000) + 1;
   
    var _this_btn = jQuery(this);
    _this_btn.prop('disabled', true);
    var btn_html = _this_btn.html();
    
    _this_btn.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');
    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/fds-item-category-update',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data: jQuery(this).parents('form').serialize(),
        success: function(data) {
            if (data.status == 'success') {
                _this_btn.html(btn_html);
                _this_btn.prop('disabled', false);
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                foodsearch_modal_popup_close();
            } else {
                _this_btn.html(btn_html);
                _this_btn.prop('disabled', false);
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-danger');
            }
        }
    });
})

jQuery(document).on('click', '.fds-remove-menuitmscat', function() {
    "use strict";
    var _this = jQuery(this);
    
    jQuery.fds_confirm_popup({
        message: menu_builder_strings.delete_conf_msg,
        buttons: {
            Yes: {
                class: 'fds-accept-btn',
                action: function () {
                    var cat_id = _this.attr('data-id');
                    var this_icon = _this.html();
                    _this.html('<div class="fds-loader"></div>');
                    var restaurant_id = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
                    var menu_id = _this.parents('#menuDetailsID').find('.fds-menu-catslist-con').attr('data-id');

                    var unlink_cat_request = jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url:menu_builder_strings.site_url + 'wp/v1/unlink-menu-items-category',           
                        beforeSend: function (xhr) {
                            if(menu_builder_strings.adminCheck!='true'){
                                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                            }
                        },
                        data: {
                            restaurant_id: restaurant_id,
                            menu_id: menu_id,
                            cat_id: cat_id,
                        }
                    });
                    unlink_cat_request.done(function (response) {

                        _this.parents('.fds-menu-builder-list').remove();
                        var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                        if (response.status == 'success') {
                            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
                        }
                    });
                    unlink_cat_request.fail(function (jqXHR, textStatus) {
                        _this.html(this_icon);
                    });
                    jQuery.fds_confirm_popup.hide();
                },
            },
            No: {
                class: 'fds-decline-btn',
                action: function () {
                    jQuery.fds_confirm_popup.hide();
                }
            }
        }
    });
});

function foodsearch_select_dropdown() {
    "use strict";
    jQuery('.select_dropdown').select2({
        width: '100%',
    });
}

jQuery(document).on('click', '.fds-remve-menubtn', function() {
    "use strict";
    var _this = jQuery(this);
    jQuery.fds_confirm_popup({
        message: menu_builder_strings.delete_conf_msg,
        buttons: {
            Yes: {
                class: 'fds-accept-btn',
                action: function () {
                    var restaurant = _this.parents('.fds-resturant-menubildr-wrap-box').attr('data-id');
                    var n_id = _this.parents('.fds-menus-grid-item').attr('data-id');

                    jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url:menu_builder_strings.site_url + 'wp/v1/remove-food-menu-byid',           
                        beforeSend: function (xhr) {
                            if(menu_builder_strings.adminCheck!='true'){
                                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                            }
                        },
                        data:  {
                            restaurant: restaurant,
                            n_id: n_id,
                        },
                        success: function(data) {
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                            if (data.error == '0') {
                                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                            }
                        }
                    });
                    _this.parents('.fds-menus-grid-item').remove();
                    jQuery.fds_confirm_popup.hide();
                },
            },
            No: {
                class: 'fds-decline-btn',
                action: function () {
                    jQuery.fds_confirm_popup.hide();
                }
            }
        }
    });
});

jQuery(document).on('submit', 'form.menu-item-updteform', function(ev) {
    "use strict";
    ev.preventDefault();
    jQuery('button#menuItemUpdate').prop('disabled', true);
    var from = jQuery(this);
    var formData = from.serialize();
    jQuery('.result-status').hide();
    
    var _this_btn = from.find('#menuItemUpdate');
    
    var btn_html = _this_btn.html();
    
    _this_btn.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/update-menu-item',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data: formData,
        success: function(data) {
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            if (data.status == 'success') {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                foodsearch_modal_popup_close();
            } else {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-danger');
            }
            jQuery('button#menuItemUpdate').prop('disabled', false);
            
            _this_btn.html(btn_html);
        },
        error: function() {
            jQuery('button#menuItemUpdate').prop('disabled', false);
            _this_btn.html(btn_html);
        }
    });
});
jQuery(document).on('submit', 'form.menu-item-popform', function(ev) {
    "use strict";
    ev.preventDefault();
    var from = jQuery(this);
    var sub_btn = from.find('#menuItemSave');
    sub_btn.prop('disabled', true);
    var formData = from.serialize();
    var menu_id = from.find('input[name="menu_id"]').val();
    var category_id = from.find('input[name="category"]').val();
    
    var _this_btn = sub_btn;
    
    var btn_html = _this_btn.html();
    
    _this_btn.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');
    
    jQuery.ajax({
        method: "post",
        dataType: "json",
        url:menu_builder_strings.site_url + 'wp/v1/create-menu-item',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data: formData,
        success: function(data){
            if (data.status == 'success') {
                var menu_html_apnder = jQuery('#menu-itemsbox-' + menu_id + '-' + category_id).find('.fds-menu-itemsholdr');
                from[0].reset();
                jQuery.ajax({
                    type: "get",
                    dataType: "json",
                    url:menu_builder_strings.site_url + 'wp/v1/add-menu-item-html',           
                    beforeSend: function (xhr) {
                        if(menu_builder_strings.adminCheck!='true'){
                            xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                        }
                    },
                    data: {
                        menu_item_id: data.item_id,
                    },
                    success: function(html_data) {
                        if (html_data.status == 'success') {
                            menu_html_apnder.append(html_data.result);
                            foodsearch_menu_builder_sortable();
                            foodsearch_menu_items_setpos();
                        }
                    }
                });
            }
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            if (data.status == 'success') {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                foodsearch_modal_popup_close();
            } else {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-danger');
            }

            sub_btn.prop('disabled', false);
            _this_btn.html(btn_html);
        },
        error: function() {
            sub_btn.prop('disabled', false);
            _this_btn.html(btn_html);
        }
    });
    return false;
});

jQuery(document).on('submit', '.menu-popup-form', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    from_element = _this[0],
    form_data = new FormData(from_element),
    _this_btn = _this.find('.fds-updatemenu-savebtn');
    
    var btn_html = _this_btn.html();
    
    _this_btn.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');

    var request = jQuery.ajax({
        method: "POST",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/update-menu',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        processData: false,
        contentType: false,
        data: form_data,
    });
    request.done(function (response) {

        var msg_rand = Math.floor(Math.random() * 1000000) + 1;
        if (response.status == 'success') {
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
            foodsearch_modal_popup_close();
            window.location.reload();
        } else {
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-danger');
            _this_btn.html(btn_html);
        }
    });
    request.fail(function () {
        _this_btn.html(btn_html);
    });

    return false;
});

jQuery(document).on('click', '.remove-foodmenu-item', function() {
    "use strict";
    var _this = jQuery(this);
    jQuery.fds_confirm_popup({
        message: menu_builder_strings.delete_conf_msg,
        buttons: {
            Yes: {
                class: 'fds-accept-btn',
                action: function () {
                    var menu_id = _this.attr('data-mid');
                    var n_id = _this.attr('data-id');

                    jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url:menu_builder_strings.site_url + 'wp/v1/remove-food-menuitem-byid',
                        data:  {
                            m_id: menu_id,
                            n_id: n_id,
                        },           
                        beforeSend: function (xhr) {
                            if(menu_builder_strings.adminCheck!='true'){
                                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                            }
                        },
                        success: function(data) {
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                            if (data.error == '0') {
                                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                            }
                        }
                    });
                    _this.parents('.fds-menu-builder-inn').remove();
                    jQuery.fds_confirm_popup.hide();
                },
            },
            No: {
                class: 'fds-decline-btn',
                action: function () {
                    jQuery.fds_confirm_popup.hide();
                }
            }
        }
    });
});

jQuery(document).on('click', '.fds-addnutrition-inlist', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    restaurant_id = _this.attr('data-id'),
    n_id = _this.attr('data-nid');
    
    jQuery('#restaurant-nutrition-popup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/restaurant-nutrition-popup-html',
        data: {
            n_id: n_id,
            restaurant_id: restaurant_id
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#restaurant-nutrition-popup').find('.fds-dynm-modal-content').html(data.html);
        }
    });
    foodsearch_modal_popup_open('restaurant-nutrition-popup');
});

jQuery(document).on('click', '.fds-updte-nutribtn', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    restaurant_id = _this.attr('data-rid'),
    n_id = _this.attr('data-nid'),
    nutri_id = _this.attr('data-id');
    
    jQuery('#restaurant-nutrition-popup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/restaurant-nutrition-popup-html',
        data: {
            n_id: n_id,
            nutri_id: nutri_id,
            restaurant_id: restaurant_id
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#restaurant-nutrition-popup').find('.fds-dynm-modal-content').html(data.html);
        }
    });
    foodsearch_modal_popup_open('restaurant-nutrition-popup');
});

jQuery('#fds-restaurant-nutris-list').on('click', '.multi-list-itm', function (ev) {
    "use strict";
    var this_dom = ev.target;
    var thisdom_obj = jQuery(this_dom);
    if (thisdom_obj.hasClass('fds-remove-nutribtn') || thisdom_obj.parents('.fds-remove-nutribtn').length > 0 || thisdom_obj.hasClass('fds-updte-nutribtn') || thisdom_obj.parents('.fds-updte-nutribtn').length > 0) {
        //
    } else {
        if (thisdom_obj.hasClass('.multi-list-itm')) {
            thisdom_obj.find('.fds-updte-nutribtn').trigger('click');
        } else {
            thisdom_obj.parents('.multi-list-itm').find('.fds-updte-nutribtn').trigger('click');
        }
    }
});

jQuery(document).on('submit', '.add-nutrition-list-form', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    from_element = _this[0],
    form_data = new FormData(from_element),
    appender = jQuery('#fds-restaurant-nutris-list'),
    this_loder = _this.find('.fds-loader-holder');
    
    this_loder.html('<div class="fds-loader"></div>').removeAttr('style');

    var request = jQuery.ajax({
        method: "POST",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/add-nutrition-to-restaurant',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        processData: false,
        contentType: false,
        data: form_data,
    });
    request.done(function (response) {

        var msg_rand = Math.floor(Math.random() * 1000000) + 1;
        if (response.error == '0') {
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
            if (response.html != '') {
                appender.append(response.html);
            }
            foodsearch_modal_popup_close();
        } else {
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-danger');
        }
    });
    request.always(function () {
        this_loder.html('').hide();
    });

    return false;
});
// on remove button click
jQuery(document).on('click', 'a.fds-remove', function(e){
    "use strict";
    e.preventDefault();
    var button = jQuery(this);
    button.prev().css('background-image','none'); // emptying the hidden field
    button.hide().prev().html('<i class="fds-icon fds-camera"></i>');
});
jQuery(document).on('click', '.fds-remove-nutribtn', function() {
    "use strict";
    var _this = jQuery(this);
    jQuery.fds_confirm_popup({
        message: menu_builder_strings.delete_conf_msg,
        buttons: {
            Yes: {
                class: 'fds-accept-btn',
                action: function () {
                    var nutri_id = _this.attr('data-id');
                    var restaurant_id = _this.attr('data-rid');

                    jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url:menu_builder_strings.site_url + 'wp/v1/remove-nutrition-item-byid',           
                        beforeSend: function (xhr) {
                            if(menu_builder_strings.adminCheck!='true'){
                                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                            }
                        },
                        data:  {
                            nutri_id: nutri_id,
                            restaurant_id: restaurant_id,
                        },
                        success: function(data) {
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                            if (data.error == '0') {
                                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                            }
                        }
                    });
                    _this.parents('.multi-list-itm').remove();
                    jQuery.fds_confirm_popup.hide();
                },
            },
            No: {
                class: 'fds-decline-btn',
                action: function () {
                    jQuery.fds_confirm_popup.hide();
                }
            }
        }
    });
});

jQuery(document).on('click', '.fds-export-menu-template', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    this_html = _this.html,
    n_id = _this.attr('data-nid'),
    r_id = _this.attr('data-rid'),
    menu_id = _this.attr('data-id');
    
    if (_this.hasClass('exported-template')) {
        return false;
    }
    
    _this.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/restaurant-menu-item-export-template',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data: {
            n_id: n_id,
            restaurant_id: r_id,
            menu_id: menu_id
        },
        success: function(data){
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            if (data.error == '0') {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                _this.addClass('exported-template')
                _this.html(data.html);
            } else {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-danger');
                _this.html(this_html);
            }
        }
    });
});

jQuery(document).on('click', '.fds-importin-food-template', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    this_html = _this.html,
    n_id = _this.attr('data-nid'),
    r_id = _this.attr('data-rid'),
    t_id = _this.attr('data-tid'),
    t_type = _this.attr('data-type'),
    menu_id = _this.attr('data-id');
    
    if (_this.hasClass('imported-template')) {
        return false;
    }
    
    _this.html('<div class="fds-inline-loader"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/restaurant-menu-item-import-template',           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        data: {
            n_id: n_id,
            restaurant_id: r_id,
            temp_id: t_id,
            temp_type: t_type,
            menu_id: menu_id
        },
        success: function(data){
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            if (data.error == '0') {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-success');
                _this.addClass('imported-template');
                _this.html(data.html);
                window.location.reload();
            } else {
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, data.msg, 'fds-alert-danger');
                _this.html(this_html);
            }
        }
    });
});

jQuery(document).on('click', '.fds-popup-menuitm-templates', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    menu_id = _this.attr('data-id'),
    n_id = _this.attr('data-nid'),
    r_id = _this.attr('data-rid');
    
    jQuery('#menuitms-templates-popup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');

    jQuery.ajax({
        type: "post",
        dataType: "json",
        url: menu_builder_strings.site_url + 'wp/v1/menuitems-templates-popup-html',
        data: {
            menu_id: menu_id,
            n_id: n_id,
            r_id: r_id,
        },           
        beforeSend: function (xhr) {
            if(menu_builder_strings.adminCheck!='true'){
                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
            }
        },
        success: function(data){
            jQuery('#menuitms-templates-popup').find('.fds-dynm-modal-content').html(data.html);
        }
    });
    foodsearch_modal_popup_open('menuitms-templates-popup');
});

jQuery(document).on('click', '.fds-preview-menu-template', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this),
    img_src = _this.attr('data-target-img');
    
    var markup = [
        '<div id="fds-template-preview-popup" class="fds-modal-popup fds-popup-visible fds-template-preview-modal">',
        '<div class="fds-modal-container">',
        '<a href="javascript:void(0);" class="fds-popup-closebtn fds-link"><i class="fds-icon fds-time-simple"></i></a>',
        '<div class="fds-modal-inner-area">',
        '<div class="fds-modal-content-area">',
        '<div class="fds-previewer-con">',
        '<img src="' + img_src + '" alt="">',
        '</div></div></div></div></div>'
    ].join('');

    jQuery(markup).appendTo('body');
    jQuery('body').addClass('foodsearch-hardcore-popup');
    
    return false;
});

jQuery(document).on('click', '#fds-template-preview-popup', function (e) {
    "use strict";
    //
    var is_close = true;
    var this_dom = e.target;
    var thisdom_obj = jQuery(this_dom);

    if (thisdom_obj.hasClass('fds-modal-inner-area') || thisdom_obj.parents('.fds-modal-inner-area').length > 0) {
        is_close = false;
    }
    if (is_close === true) {
        jQuery('body').removeClass('foodsearch-hardcore-popup');
        jQuery(this).remove();
    }
});

jQuery(document).on('click', '.fds-del-menu-template', function (ev) {
    "use strict";
    ev.preventDefault();
    
    var _this = jQuery(this);
    var t_id = _this.attr('data-tid');
    
    jQuery.fds_confirm_popup({
        message: menu_builder_strings.delete_conf_msg,
        buttons: {
            Yes: {
                class: 'fds-accept-btn',
                action: function () {

                    jQuery.fds_confirm_popup.hide();
                    
                    _this.parents('.fds-menu-template-itm').append('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');

                    jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url: menu_builder_strings.site_url + 'wp/v1/remove-menu-template-itm',
                        data: {
                            t_id: t_id,
                        },           
                        beforeSend: function (xhr) {
                            if(menu_builder_strings.adminCheck!='true'){
                                xhr.setRequestHeader('X-WP-Nonce', menu_builder_strings.wpnonce);
                            }
                        },
                        success: function(data){
                            _this.parents('.fds-menu-template-itm').remove();
                        },
                        error: function() {
                            _this.parents('.fds-menu-template-itm').find('.fds-loader-holder').remove();
                        }
                    });
                },
            },
            No: {
                class: 'fds-decline-btn',
                action: function () {
                    jQuery.fds_confirm_popup.hide();
                }
            }
        }
    });
    
    return false;
});