jQuery(document).ready(function($) {

    'use strict';


    //*************************************
    // Restaurant Category Filter Script
    //*************************************

    var $btns = jQuery('.product-filter-btn').on('click', function(e) {
        e.preventDefault();
        if (this.id == 'all') {
            jQuery('.fds-restaurant-tab-detailcontent > div.fds-restaurant-detail-list').fadeIn(450);
        } else {
            var $el = jQuery('.' + this.id).fadeIn(450);
            jQuery('.fds-restaurant-tab-detailcontent > div.fds-restaurant-detail-list').not($el).hide();
        }
        $btns.removeClass('active');
        jQuery(this).addClass('active');
    })
    //***************************
    // Restaurant Tab Script
    //***************************
    var $restaurantnavbtns = jQuery('.fds-restaurant-nav li a').on('click', function(e) {
        e.preventDefault();
        jQuery('.fds-restaurant-tab-content div.tab-pane').removeClass('active');
        jQuery('.fds-restaurant-tab-content div.tab-pane'+jQuery(this).attr('href')).addClass('active');
        $restaurantnavbtns.removeClass('active');
        jQuery(this).addClass('active');
    })


    //********************************
    // Switcher MainToggle Function
    //*******************************
    jQuery(".fds-plugin-nav-btn").on("click", function(event) {
        jQuery(this).toggleClass('switcher-style-btn-open');
        jQuery("body").toggleClass('switcher-sidebar-on');
        return false;
    });


});

jQuery(document).ready(function () {

    'use strict';   
    var fds_popup_qty = 0;
        jQuery(document).on('click','[data-quantity="plus-c"]',function(e){
            e.preventDefault();
            var thisparent = jQuery(this).parents(".fds-restaurant-list-number");
            var fieldName = jQuery(this).attr('data-field');
            var currentVal = parseInt(thisparent.find('input[name='+fieldName+']').val());
            if (!isNaN(currentVal)) {
                thisparent.find('input[name='+fieldName+']').val(currentVal + 1);
               fds_popup_qty = currentVal + 1;
            } else {
                thisparent.find('input[name='+fieldName+']').val(0);
            }
            foodsearch_plus_mins_cart_function(jQuery(this).attr('data-id'),fds_popup_qty);
        });
        jQuery(document).on('click','[data-quantity="minus-c"]',function(e) {
            e.preventDefault();
            var thisparent = jQuery(this).parents(".fds-restaurant-list-number");
            var fieldName = jQuery(this).attr('data-field');
            var currentVal = parseInt(thisparent.find('input[name='+fieldName+']').val());
            if (!isNaN(currentVal) && currentVal > 1) {
                thisparent.find('input[name='+fieldName+']').val(currentVal - 1);
                fds_popup_qty = currentVal - 1;
            } else {
                fds_popup_qty = 0;            
                thisparent.find('input[name='+fieldName+']').val(0);
            }
            foodsearch_plus_mins_cart_function(jQuery(this).attr('data-id'),fds_popup_qty);
            
        });
    jQuery(document).on('click','a.popupbutton',function (e) {
        'use strict';
        e.preventDefault();

        jQuery('#product-popup').find('.fds-dynm-modal-content').html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
        jQuery.ajax({
            url : myAjax.url,
            data:{
                action: 'product_popup_details',
                id: jQuery(this).attr('data-id'),
                nonce: myAjax.nonce
            },
            type : "POST",
            success : function(data) {
                jQuery('#product-popup').find('.fds-dynm-modal-content').html(data);
                
                foodsearch_popupcheckboxselection();
                foodsearch_plus_mins_function();
                //console.log(data);
            },
            error : function() {
            }
        });
        foodsearch_modal_popup_open('product-popup');
    });
     function foodsearch_plus_mins_function(){  
        'use strict';
        // Plus Minus Function
        jQuery('[data-quantity="plus"]').click(function(e){
            e.preventDefault();
            var thisparent = jQuery(this).parents(".fds-restaurant-list-number");
            var fieldName = jQuery(this).attr('data-field');
            var currentVal = parseInt(thisparent.find('input[name='+fieldName+']').val());
            if (!isNaN(currentVal)) {
                thisparent.find('input[name='+fieldName+']').val(currentVal + 1);
                var fds_popup_qty = currentVal + 1;
            } else {
                thisparent.find('input[name='+fieldName+']').val(0);
            }
          
            var baseprice = jQuery('#fds_popup_price').attr('data-price');
            jQuery('#fds_popup_price').html('$'+baseprice*fds_popup_qty);
        });
        jQuery('[data-quantity="minus"]').click(function(e) {
            e.preventDefault();
            var thisparent = jQuery(this).parents(".fds-restaurant-list-number");
            var fieldName = jQuery(this).attr('data-field');
            var currentVal = parseInt(thisparent.find('input[name='+fieldName+']').val());
            if (!isNaN(currentVal) && currentVal > 1) {
                thisparent.find('input[name='+fieldName+']').val(currentVal - 1);
                var fds_popup_qty = currentVal - 1;
            } else {
                var fds_popup_qty = 0;            
                thisparent.find('input[name='+fieldName+']').val(0);
            }
            var baseprice = jQuery('#fds_popup_price').attr('data-price');
            jQuery('#fds_popup_price').html('$'+baseprice*fds_popup_qty);       
        });
    }
    
    function foodsearch_plus_mins_cart_function(id,qty){  
        'use strict';
        // Plus Minus Function
        
        jQuery.ajax({
            url : myAjax.url,
            data:{
                action: 'update_item_to_cart',
                id: id,
                qty: qty,
                nonce: myAjax.nonce
            },
            type : "POST",
            success : function(data) {
                var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                jQuery('.cartmenuitems').html(data);
                
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, 'Item Updated from cart', 'fds-alert-success');
            },
            error : function() {
            }
        }); 
    }
    jQuery(document).on('click','a.sidebarmenuitem',function (e) {
        'use strict';
        e.preventDefault();

        jQuery.ajax({
            url : myAjax.url,
            data:{
                action: 'remove_item_to_cart',
                id: jQuery(this).attr('data-id'),
                nonce: myAjax.nonce
            },
            type : "POST",
            success : function(data) {
                var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                jQuery('.cartmenuitems').html(data);
                
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, 'Item removed from cart', 'fds-alert-danger');
            },
            error : function() {
            }
        });

    });
    jQuery(document).on('click','button.add_to_cart,a.add_to_cart',function(){
        'use strict';
        var mrestID = jQuery('#menuRestaurantId').val();
        var siderestID = jQuery('#sidebarRestaurantId').val();
        //console.log('mrestID: '+mrestID+' siderestID:'+siderestID);
        if(siderestID!='' && siderestID!='undefined' && mrestID!=siderestID) {
            if (!confirm("If you change restaurant you cart will empty, Are you sure?")) {
                return false;
            }
        }
        var add_to_cart_from = jQuery(this).parents('form')[0];
        var postdata = new FormData(add_to_cart_from);
        if (jQuery('input[name=order_type]').length > 0) {
            var ordr_type = 'delivery';
            if (jQuery('input[name=order_type]').val() == '2') {
                var ordr_type = 'takeaway';
            }
            postdata.append('order_type', ordr_type);
        }
        postdata.append('action', 'add_to_cart');
        postdata.append('nonce', myAjax.nonce);
        jQuery.ajax({
            url : myAjax.url,
            processData: false,
            contentType: false,
            data:postdata ,
            type : "POST",
            success : function(data) {
                jQuery('.cartmenuitems').html(data);
                foodsearch_modal_popup_close();
                var msg_rand = Math.floor(Math.random() * 1000000) + 1;                
                foodsearch_submit_msg_alert('alert-msg-' + msg_rand, 'Item added to cart', 'fds-alert-success');
            },
            error : function() {
            }
        });
    });
    jQuery(document).on('click',".extra_option_wrap input",function() {
        'use strict';
        var baseprice = 0;
        if(jQuery(this).parents('div.fds-plugin-modal-box-inner').find("input[name=variation]").length==0){
            baseprice = jQuery(this).parents('div.fds-plugin-modal-box-inner').find("input#baseprice").val();
        }

        jQuery(this).parents('div.fds-plugin-modal-box-inner').find("input:checkbox:checked").each(function () {
                baseprice = parseFloat(baseprice) + parseFloat(jQuery(this).attr('data-price'));

        });
        jQuery(this).parents('div.fds-plugin-modal-box-inner').find("input:radio:checked").each(function () {
                baseprice = parseFloat(baseprice) + parseFloat(jQuery(this).attr('data-price'));
        });
        var fds_popup_qty = jQuery('#fds_popup_qty').val();
        jQuery('#fds_popup_price').attr('data-price',baseprice);
        jQuery('#fds_popup_price').html('$'+baseprice*fds_popup_qty);

    });
});
function foodsearch_popupcheckboxselection() {
    'use strict';
    jQuery(document).on('click',".extra_option_wrap input:checkbox",function() {
        var limit = jQuery(this).parents('div.extra_option_wrap').attr('data-select');
        var minlimit = jQuery(this).parents('div.extra_option_wrap').attr('data-min-select');
        var bol = jQuery(this).parents('div.extra_option_wrap').find("input:checkbox:checked").length >= limit;
        jQuery(this).parents('div.extra_option_wrap').find("input:checkbox").not(":checked").attr("disabled", bol);

        if (jQuery(this).parents('div.extra_option_wrap').find("input:checkbox:checked").length >= limit) {
            jQuery(this).parents('div.extra_option_wrap').find("input:checkbox").not(":checked").next('label').addClass('disable');
        } else {
            jQuery(this).parents('div.extra_option_wrap').find("input:checkbox").not(":checked").next('label').removeClass('disable');
        }
        if (jQuery(this).parents('div.extra_option_wrap').find("input:checkbox:checked").length >= minlimit) {
            jQuery(this).parents('form.add_to_cart_form').find("button").removeClass('disable').prop('disabled', false);
        } else {
            jQuery(this).parents('form.add_to_cart_form').find("button").addClass('disable').prop('disabled', true);
        }
    });
}