<?php
defined( 'ABSPATH' ) || exit;

global $foodsearch_plugin_settings;
$dashboard_page = isset($foodsearch_plugin_settings['dashboard_settings']['dashboard_page']) ? $foodsearch_plugin_settings['dashboard_settings']['dashboard_page'] : '';
$dashboard_page_id = $dashboard_page != '' ? foodsearch__get_post_id($dashboard_page) : '';

if (($dashboard_page_id > 0 && is_page($dashboard_page_id) && isset($_GET['tab_action']) && $_GET['tab_action'] == 'reset-password-request') || apply_filters('foodsearch_show_template_with_hdrfootr', false)) {
    get_header();
    the_content();
    get_footer();
} else {
    ?><!DOCTYPE html>
    <html <?php language_attributes(); ?>>
        <head>
            <meta charset="<?php bloginfo('charset'); ?>">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <link rel="profile" href="https://gmpg.org/xfn/11">
            <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
            <?php wp_head(); ?>
        </head>

        <body <?php body_class(); ?>>
            <div class="fds-full-page">
                <?php the_content() ?>
            </div>
            <?php do_action('wp_footer'); ?>
        </body>
    </html>
    <?php
}