<?php

namespace FoodSearch\Dashboard_Settings;
use FoodSearch\Dashboard_Settings\Common_Functions as Common_Functions;

class Rider_Builder {

    protected static $_instance = null;

    public static function instance() {
        if (is_null(self::$_instance)) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    public function __construct() {
        add_filter('foodsearch_bk_dashboard_rider_builder_setins', array($this, 'builder_container'));
    }
    
    public function builder_container() {
        $common_functions = new Common_Functions;
        
        ob_start();
        $common_functions->dashboard_builder('rider');
        $html = ob_get_clean();
        
        return $html;
    }

}

new Rider_Builder;
