<?php

$content = '';
$content .= '<div class="filed-group fds-form-field">';
$args = array(
    'type' => 'single',
    'id' => 'restaurant_id',
    'name' => 'restaurant_id',
    'classes' => 'select_menu post-filed restaurant-dropdown',
    'label' => esc_html__('select restaurant', 'wp-foodsearch'),
    'placeholder' => '',
    'required' => 'true',
    'value' => '',
    'selected' => '',
    'return' => true,
);
$content .= $foodsearch_form_fields->select_field($args);

$content .= ' </div><div class="filed-group fds-form-field">';

$args = array(
    'type' => 'text',
    'id' => 'title',
    'name' => 'title',
    'classes' => 'post-filed fds-input-style',
    'label' => esc_html__('title', 'wp-foodsearch'),
    'placeholder' => esc_html__('title', 'wp-foodsearch'),
    'required' => 'true',
    'value' => '',
    'return' => true
);
$content .= $foodsearch_form_fields->input_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';

$values = array(
    'monday' => esc_html__('monday', 'wp-foodsearch'),
    'tuesday' => esc_html__('tuesday', 'wp-foodsearch'),
    'wednesday' => esc_html__('wednesday', 'wp-foodsearch'),
    'thursday' => esc_html__('thursday', 'wp-foodsearch'),
    'friday' => esc_html__('friday', 'wp-foodsearch'),
    'saturday' => esc_html__('saturday', 'wp-foodsearch'),
    'sunday' => esc_html__('sunday', 'wp-foodsearch'),
);
$args = array(
    'id' => 'menu_opening_days',
    'name' => 'menu_opening_days[]',
    'classes' => 'post-filed select_dropdown',
    'label' => esc_html__('menu opening days', 'wp-foodsearch'),
    'placeholder' => esc_html__('select menu opening days', 'wp-foodsearch'),
    'required' => 'true',
    'value' => $values,
    'selected' => '',
    'type' => 'multiple',
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= '</div><div class="filed-group fds-form-field">';

$values = array();
for ($i = 0; $i < 24; $i++) {
    for ($x = 0; $x <= 3; $x++) {
        $values[$i . ':' . (($x * 15) == 0 ? '00' : ($x * 15))] = $i . ':' . (($x * 15) == 0 ? '00' : ($x * 15));
    }
}
$args = array(
    'id' => 'menu_start_time',
    'name' => 'menu_start_time',
    'classes' => 'post-filed select_dropdown',
    'label' => esc_html__('menu start time', 'wp-foodsearch'),
    'placeholder' => esc_html__('select menu starting time', 'wp-foodsearch'),
    'required' => 'true',
    'value' => $values,
    'selected' => '',
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';
$args = array(
    'id' => 'menu_end_time',
    'name' => 'menu_end_time',
    'classes' => 'post-filed select_dropdown',
    'label' => esc_html__('menu closing time', 'wp-foodsearch'),
    'placeholder' => esc_html__('select menu closing time', 'wp-foodsearch'),
    'required' => 'true',
    'value' => $values,
    'selected' => '',
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';

$args = array(
    'id' => 'details',
    'name' => 'details',
    'classes' => 'post-filed fds-textarea-style',
    'label' => esc_html__('menu details', 'wp-foodsearch'),
    'placeholder' => esc_html__('menu details', 'wp-foodsearch'),
    'value' => '',
    'return' => true
);
$content .= $foodsearch_form_fields->textarea_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';
$values = array(
    '1' => esc_html__('pending', 'wp-foodsearch'),
    '2' => esc_html__('approve', 'wp-foodsearch'),
    '4' => esc_html__('reject', 'wp-foodsearch'),
);
$args = array(
    'type' => 'single',
    'id' => 'status',
    'name' => 'status',
    'classes' => 'select_menu post-filed select_dropdown',
    'label' => esc_html__('select status', 'wp-foodsearch'),
    'value' => $values,
    'selected' => '',
    'required' => 'true',
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);

$content .= ' </div><div class="filed-group">';
ob_start();
wp_nonce_field('adding_menu', 'menu_save_nonce');
$content .= ob_get_clean();
$content .= '<div class="fds-btn fds-medium-btn">';
$args = array(
    'type' => 'button',
    'id' => 'menuSaveBtn',
    'name' => 'save_menu',
    'classes' => 'submit_btn fds-has-bg',
    'value' => esc_html__('save menu', 'wp-foodsearch'),
    'return' => true
);
$content .= $foodsearch_form_fields->button($args);
$content .= '</div>';
$content .= '</div>';
$responsedata = array('status' => 'success', 'html' => $content);
wp_send_json($responsedata);
wp_die();
