<?php
/**
 * Created by PhpStorm.
 * User: pc-int3
 * Date: 6/22/2021
 * Time: 5:54 PM
 */

use FoodSearch\Common_Functions;

class foodsearch_cart
{
    public function __construct()
    {
        add_action('wp_ajax_nopriv_add_to_cart', array($this, 'add_to_cart'));
        add_action('wp_ajax_add_to_cart', array($this, 'add_to_cart'));
        add_action('wp_ajax_nopriv_product_popup_details', array($this, 'product_popup_details'));
        add_action('wp_ajax_product_popup_details', array($this, 'product_popup_details'));
        add_action('wp_ajax_nopriv_remove_item_to_cart', array($this, 'remove_item_to_cart'));
        add_action('wp_ajax_remove_item_to_cart', array($this, 'remove_item_to_cart'));
        add_action('wp_ajax_nopriv_update_item_to_cart', array($this, 'update_item_to_cart'));
        add_action('wp_ajax_update_item_to_cart', array($this, 'update_item_to_cart'));
    }
    public function product_popup_details(){
        global $table_prefix, $wpdb;
        
        $common_functions = new Common_Functions;
        
        $id = $_POST['id'];
        $table_name = $table_prefix . 'menu_items';
        $sql = "SELECT * FROM $table_name where id = {$id} AND status=2";
        //exit();
        $results = $wpdb->get_results($sql);
        if (!empty($results)) {
            foreach ($results as $res) {
                $menuitems[] = $res;
            }
        }
        $content = '';
        foreach ($menuitems as $menuitem) {
            $content .= '<div class="fds-booking-detail-title"><div class="popup-title">' . $menuitem->name . '</div></div>';
            $content .= '<form class="add_to_cart_form" method="post"><div class="fds-plugin-modal-box-inner">
            <input type="hidden" name="productid" value="'.$menuitem->id.'">
            <input type="hidden" name="restaurant" value="'.$menuitem->restaurant_id.'"><input type="hidden" name="price" id="baseprice" value="'. ((isset($menuitem->discount_price) && $menuitem->discount_price > 0 )? $menuitem->discount_price : $menuitem->price).'">';
            
            $variations = json_decode($menuitem->variations, true);
            if (count($variations) > 0) {
                $content .= '<div class="options_box"><div class="option_heading">' . esc_html__('select variation', 'wp-foodsearch') . '<small class="extra_require"> ' . sprintf(esc_html__('%s required', 'wp-foodsearch'), '1') . '</small></div><div class="extra_option_wrap"><div class="extra_option_wrap_inner">';
                $width = '';
                foreach ($variations as $key => $variation) {
                    if (count($variations) >= 4) {
                        $width = 'width-50';
                    }
                    $content .= '<div class="extra_option popupfiled fds-fancy-checkstyle ' . $width . '"><input type="radio"  name="variation" value="' . $variation['variation_name'] . ':' . $variation['variation_price'] . '" data-price="' . $variation['variation_price'] . '" id="variation-' . $menuitem->id . $key . '" ' . ($key == 0 ? 'checked' : '') . ' ><label for="variation-' . $menuitem->id . $key . '" class="fds-input-label"><span class="name">' . $variation['variation_name'] . '</span><span class="price">' . Common_Functions::get_formatted_price($variation['variation_price']) . '</span></label></div>';
                }
                $content .= '</div></div></div>';
            }
            $buttondisable = 'false';
            if (!empty($menuitem->choice_groups_id)) {
                $choice_groups_id = explode(',', $menuitem->choice_groups_id);
                foreach ($choice_groups_id as $key => $choice_group) {
                    $table_name = $table_prefix . 'menu_choice_group';
                    $sql = "SELECT * FROM $table_name where id = {$choice_group}";
                    $results = $wpdb->get_results($sql);
                    foreach ($results as $choice) {
                        $items = json_decode($choice->menuItem_id, true);
                        $content .= '<div class="options_box"><div class="option_heading '.($choice->min == 0?'norequire-option':'').'">' . $choice->name;
                        if ($choice->min > 0) {
                            $content .= '<small class="extra_require">' . sprintf(esc_html__('%s required', 'wp-foodsearch'), $choice->min) . '</small>';
                        }
                        $content .= '</div><div class="extra_option_wrap" data-select="' . $choice->max . '" data-min-select="' . $choice->min . '"><div class="extra_option_wrap_inner">';
                        $name = strtolower(str_replace(' ', '_', $choice->name));
                        $width = '';
                        foreach ($items as $key => $item) {
                            if (count($items) >= 4) {
                                $width = 'width-50';
                            }
                            $content .= '<div class="extra_option popupfiled fds-fancy-checkstyle ' . $width . '">';
                            if ($choice->min > 1) {
                               $buttondisable = 'true';
                                $content .= '<input type="checkbox" name="extras[' . $name . '][]" value="' . $item['item_id'] . ':' . (isset($item['item_price'])&&!empty($item['item_price'])?$item['item_price']:0 ) . '" id="options-' . $menuitem->id . '-' . $item['item_id'] . '"  data-price="' .  (isset($item['item_price'])&&!empty($item['item_price'])?$item['item_price']:0 ) . '" >';
                            } else {
                                $content .= '<input type="radio" ' . ($key == 0 && $choice->min > 0 ? 'checked' : '') . ' name="extras[' . $name . ']" id="options-' . $menuitem->id . '-' . $item['item_id'] . '" value="' . $item['item_id'] . ':' . (isset($item['item_price'])&&!empty($item['item_price'])?$item['item_price']:0 ) . '"  data-price="' . (isset($item['item_price'])&&!empty($item['item_price'])?$item['item_price']:0 ). '" >';
                            }
                            $content .= '<label for="options-' . $menuitem->id . '-' . $item['item_id'] . '" class="fds-input-label">' . ($choice->min > 1 ? '<i class="fds-icon fds-check-line"></i><i class="fds-icon fds-time-simple"></i>' : '') . '<span class="name"> ' . foodsearch_menuItemNameByID($item['item_id']) . '</span><span class="price">' . (isset($item['item_price'])&&!empty($item['item_price'])?Common_Functions::get_formatted_price($item['item_price']):0 ). '</span></label></div>';
                        }
                        $content .= '</div></div></div>';
                    }
                }
            }
            $base_Price = ((isset($menuitem->discount_price) && $menuitem->discount_price > 0 )? $menuitem->discount_price : $menuitem->price);
            $content .= '</div>
            <div class="popup-bottom-box">
            <div class="fds_popup_cart_btn fds-btn fds-medium-btn">
            <button class="add_to_cart fds-has-bg'.(isset($buttondisable) && $buttondisable ==='true'?' disable':'').'" type="button" name="add_to_cart"'.(isset($buttondisable) && $buttondisable ==='true'?' disabled':'').'>Add to Cart</button>
            </div>
            <div class="fds-restaurant-list-number">
            <button type="button" class="fds-nmb-btn" data-quantity="minus" data-field="quantity"><i class="fds-icon fds-minus-simple"></i></button>
            <input type="number" id="fds_popup_qty" name="quantity" value="1" min="1">
            <button type="button" data-quantity="plus" class="fds-nmb-btn" data-field="quantity"><i class="fds-icon fds-plus-simple"></i></button>
          </div>
            <div class="fds_popup_price_box">
            <span>' . esc_html__('total price:', 'wp-foodsearch') . '</span>
            <span id="fds_popup_price" data-price="'.$base_Price.'">' .Common_Functions::get_formatted_price($base_Price) . '</span>
            </div>
            </div>
            </form>';
        }
        echo $content;
        wp_die();
    }
    public function add_to_cart(){
        if ( ! wp_verify_nonce( $_POST['nonce'], 'ajax-nonce' ) ) {
            die();
        }
        $items = array();
        $itemkey = $cartItems = '';
        $itemkey = $this->fds_check_product_in_cart($_POST);
        if(isset($itemkey) && $itemkey!=='false'  && isset( $_SESSION['cartitems'])){
           $items = $_SESSION['cartitems'];
           $qty = isset($_POST['quantity'])?$_POST['quantity']:1;
           $items[$itemkey]['qty'] = ((int)$items[$itemkey]['qty']+ $qty);
           $_SESSION['cartitems'] = $items;
        }
        else{
            if (isset($_POST['order_type'])) {
                $order_type = $_POST['order_type'];
                if ($order_type == '2') {
                    $order_type = 'take_away';
                } else {
                    $order_type = 'delivery';
                }
                $_SESSION['foodsearch_order_type'] = $order_type;
            }
            $items['id'] = $_POST['productid'];
            $items['basicprice'] = foodsearch_menuItemPriceByID($_POST['productid']);
            $items['qty'] = isset($_POST['quantity'])?$_POST['quantity']:1;
            $items['name'] =  foodsearch_menuItemNameByID($_POST['productid']);
            if(isset($_SESSION['restaurant']) && $_SESSION['restaurant'] != $_POST['restaurant']){
                unset($_SESSION['cartitems']);
            }
            $_SESSION['restaurant'] = $_POST['restaurant'];
            if(isset( $_POST['variation'])){
                $vals = explode(':', $_POST['variation']);
                $items['variation'] = array('name' => (is_numeric($vals[0]) ? foodsearch_menuItemNameByID($vals[0]) : $vals[0]), 'price' => foodsearch_variationPriceByPID($_POST['productid'],$vals[0]));

            }
            $cartPrice = 0;
            if(isset($_POST['extras'])) {
                foreach ($_POST['extras'] as $ke => $extras) {
                    if (is_array($extras)) {
                        foreach ($extras as $key => $extra) {
                            if (strpos($extra, ':') !== false) {
                                $vals = explode(':', $extra);
                                $items['extras'][$ke][] = array('id' => $vals[0], 'name' => (is_numeric($vals[0]) ?  foodsearch_menuItemNameByID($vals[0]): $vals[0]), 'price' => foodsearch_choicegroupPriceByPID($_POST['productid'],$vals[0]));
                            } else {
                                $items['extras'][$ke] = $extra;
                            }
                        }
                    } else {
                        if (strpos($extras, ':') !== false) {
                            $vals = explode(':', $extras);
                            $items['extras'][$ke][] = array('id' => $vals[0], 'name' => (is_numeric($vals[0]) ? foodsearch_menuItemNameByID($vals[0]) : $vals[0]), 'price' => foodsearch_choicegroupPriceByPID($_POST['productid'],$vals[0]));
                        } else {
                            $items['extras'][$ke] = $_POST['extras'];
                        }
                    }
                }
            } 
            $_SESSION['cartitems'][] = $items;
    }       
            echo SELF::sidebar_Cart_Html();
        exit();
    }
    public function fds_check_product_in_cart($itemRequest){
		
		$cartitems = isset($_SESSION['cartitems'])?$_SESSION['cartitems']:'';
		$cartitem = [];
       	if(is_array($cartitems) ){
            foreach($cartitems as $key=> $item) { 	
                
                $cartitem[$key] = $item['id'];
            } 	
            foreach($cartitem as $key=> $item) { 
                if($itemRequest['productid']==$item){
                    $veriCheck ='false';          
                
                    if(isset($itemRequest['variation'])){               
                        $searchItem = $cartitems[$key]['variation'];
                        $variation = explode(':',$itemRequest['variation']); 
                        if($variation[0] === $searchItem['name']){
                        $veriCheck ='true';
                        
                        }

                    }
                
                    if(isset($itemRequest['extras'])){               
                        $extraCheck = 'true';
                        $searchItem = $cartitems[$key]['extras'];
                        if(count($itemRequest['extras'])>=count($searchItem)){
                            foreach($itemRequest['extras'] as $k=>$extras){
                                if(is_array($extras) ){
                                    //  echo $k;
                                    foreach($extras as $extra){
                                        $extraKey = explode(':',$extra);                               
                                        if(!in_array_r($extraKey[0],$searchItem)){                            
                                            $extraCheck = 'false';
                                            break;
                                        }
                                    }
                                }
                                else{                                
                                    $extraKey = explode(':',$extras); 
                                    if(!in_array_r($extraKey[0],$searchItem)){ 
                                        $extraCheck = 'false';
                                        break;
                                    } 
                                }
                            }
                        }
                        else{
                            $extraCheck = 'false';
                        }
                        if($veriCheck =='true' && $extraCheck =='true' ){
                            return $key;
                        }
                    }
                }               
            }	
        }		
     }
	
   
    public function remove_item_to_cart(){
        if ( ! wp_verify_nonce( $_POST['nonce'], 'ajax-nonce' ) ) {
            die();
        }
        unset($_SESSION['cartitems'][$_POST['id']]);
        echo SELF::sidebar_Cart_Html();
        exit();

    }    
   
    public function update_item_to_cart(){
        if ( ! wp_verify_nonce( $_POST['nonce'], 'ajax-nonce' ) ) {
            die();
        }
        $cartItems = $_SESSION['cartitems'];
        $cartItems[$_POST['id']]['qty'] = $_POST['qty'];
        unset($_SESSION['cartitems']);
        $_SESSION['cartitems'] = $cartItems;
        echo SELF::sidebar_Cart_Html();
        exit();

    }
    
    public function sidebar_Cart_Html() {
        global $foodsearch_plugin_settings;
        
        $order_vat_switch = isset($foodsearch_plugin_settings['payment_settings']['order_vat_tax']) ? $foodsearch_plugin_settings['payment_settings']['order_vat_tax'] : '';
        $order_vat_percentage = isset($foodsearch_plugin_settings['payment_settings']['vat_tax_amount']) ? $foodsearch_plugin_settings['payment_settings']['vat_tax_amount'] : '';
        
        $content = '<input type="hidden" name="restaurant" value="'.$_SESSION['restaurant'].'" id="sidebarRestaurantId">';
       
        if(isset($_SESSION['cartitems'])) {
            $restaurant_id = $_SESSION['restaurant'];
            $order_type = $_SESSION['foodsearch_order_type'];
           
            $tprice = 0;
            foreach ($_SESSION['cartitems'] as $keys => $item) {
                
              //  echo '<pre>'.print_r($item,true).'</pre>';
                $qty = $item['qty'];
                $variation = '';
                $price = 0;
                if (isset($item['variation'])) {
                    $variation = ' (' . $item['variation']['name'] . ')';
                    $price = $item['variation']['price'];
                } else {
                    $price = $item['basicprice'];
                }
               
                $content .= '<ul class="fds-baskit-cart-status-list fds-options-wrap">
                                    <li class="fds-cart-menuitem fds-list-item">
                                    <a href="#" class="sidebarmenuitem fds-link" data-id="' . $keys . '">
                                    <i class="fds-cross-icon fds-icon fds-cross-circle"></i> ' . foodsearch_menuItemNameByID($item['id']) . $variation . '
                                     X ' . $qty . '</a><span>' . Common_Functions::get_formatted_price($price) . '</span>
                                     </li>';
                if (isset($item['extras'])) {
                    foreach ($item['extras'] as $key => $extras) {
                        foreach ($extras as $k => $extra) {
                            $content .= '<li class="fds-list-item"><a href="#" class="fds-link">' . $extra['name'] . '</a>
                                        <small>' . Common_Functions::get_formatted_price($extra['price']) . '</small>
                                    </li>';
                            $price += (int)$extra['price'];
                        }
                    }
                }                
                $content .= '<li class="fds-list-item fds-qty-cart"><div class="fds-restaurant-list-number">
                <button type="button" class="fds-nmb-btn" data-quantity="minus-c" data-field="quantity" data-id="' . $keys . '"><i class="fds-icon fds-minus-simple"></i></button>
                <input type="number" id="fds_popup_qty" name="quantity" value="'.$qty.'" min="1">
                <button type="button" data-quantity="plus-c" class="fds-nmb-btn" data-field="quantity" data-id="' . $keys . '"><i class="fds-icon fds-plus-simple"></i></button>
              </div></li></ul>';
                $tprice += $price*$qty;
            }
        }
        $net_total = $tprice;
        $content .= '<ul class="fds-baskit-cart-subtotal fds-options-wrap"> 
            <li class="fds-list-item">' . esc_html__('subtotal', 'wp-foodsearch') . ' <span>'.Common_Functions::get_formatted_price($tprice).'</span></li>';

            $delivery_charges = get_post_meta($restaurant_id, 'foodsearch_delivery_fee', true);
            $order_process_type = get_post_meta($restaurant_id, 'foodsearch_order_process_type', true);
            if ($delivery_charges > 0 && ($order_process_type == 'delivery' || $order_process_type == 'both') && $order_type != 'take_away' && $tprice > 0) {
                $net_total += $delivery_charges;
                $content .= '<li class="fds-list-item">' . esc_html__('delivery fee', 'wp-foodsearch') . ' <span>' . Common_Functions::get_formatted_price($delivery_charges) . '</span></li>';
            }
            $total_vat_amount = 0;
            if ($order_vat_switch == 'on' && $order_vat_percentage > 0 && $tprice > 0 && !(isset($foodsearch_plugin_settings['payment_settings']['wc_cart_active']) && $foodsearch_plugin_settings['payment_settings']['wc_cart_active']=='on' &&  class_exists( 'WooCommerce' ))) {
                $total_vat_amount = $net_total * ($order_vat_percentage/100);
                $net_total += $total_vat_amount;
            }
            // else if( isset($foodsearch_plugin_settings['payment_settings']['wc_cart_active']) && $foodsearch_plugin_settings['payment_settings']['wc_cart_active']=='on' &&  class_exists( 'WooCommerce' ) && get_option( 'woocommerce_tax_display_cart' ) ){
            //     $total_vat_amount = $net_total * ($order_vat_percentage/100);
            //     $net_total += $total_vat_amount; 
            // }
            else{
                $order_vat_switch = 'off';
            }
            if ($order_vat_switch == 'on' && $tprice > 0) {
                $content .= '<li class="fds-list-item">' . sprintf(esc_html__('vat (%s)', 'wp-foodsearch'), $order_vat_percentage . '%') . ' <span>' . Common_Functions::get_formatted_price($total_vat_amount) . '</span></li>';
            }
            $content .= '<li class="active fds-list-item">' . esc_html__('total', 'wp-foodsearch') . ' <span>'.common_functions::get_formatted_price($net_total).'</span></li>
        </ul>';
        return $content;
    }
   
}
new foodsearch_cart();